Bug 1004557 - Wrong packaging
Wrong packaging
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ngircd (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Andreas Thienemann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-04 18:55 EDT by Christopher Meng
Modified: 2013-09-04 21:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-04 21:18:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2013-09-04 18:55:15 EDT
Hi maintainer,
I'd like to notify you that this package has been packaged incorrectly in Fedora as you didn't ship really docs in correct files.
I can see doxygen file for making docs but unfortunately seems you didn't build it but just copy all prestine file's directly, so as a result in docdir we can see many makefiles...

Please fix it.
Comment 1 Kevin Fenzi 2013-09-04 19:24:52 EDT
The doxygen config and makefiles is there for the upstream maintainer as far as I can tell. 

If you look in the top level Makefile* you see this is run from the srcdoc target, which is NOT default. It also runs things like tests and xcode simulator runs. 

So, shipping those docs looks fine to me, but you are right about us shipping the Makfiles and such as doc files which we shouldn't do. 

I'll fix that: 

diff --git a/ngircd.spec b/ngircd.spec
index 5f7760b..637aa5a 100644
--- a/ngircd.spec
+++ b/ngircd.spec
@@ -1,6 +1,6 @@
 Name:           ngircd
 Version:        20.3
-Release:        1%{?dist}
+Release:        2%{?dist}
 Summary:        Next Generation IRC Daemon
 Group:          System Environment/Daemons
 License:        GPLv2+
@@ -13,6 +13,7 @@ Source3:        ngircd.service
 BuildRequires:  zlib-devel, avahi-compat-howl-devel, tcp_wrappers-devel
 BuildRequires:  libident-devel
 BuildRequires:  gnutls-devel
+BuildRequires:  doxygen
 %if 0%{?rhel} > 6 || 0%{?fedora} > 18
 BuildRequires: systemd
 Requires(post): systemd
@@ -103,7 +104,7 @@ fi
 
 %files
 %defattr(-,root,root,-)
-%doc AUTHORS COPYING ChangeLog NEWS README doc/*
+%doc AUTHORS COPYING ChangeLog NEWS README doc/*.txt doc/*.tmpl
 %config(noreplace) %attr(660, root, ngircd) %{_sysconfdir}/ngircd.conf
 %ghost %config(noreplace) %attr(660, root, ngircd) %{_sysconfdir}/ngircd.motd
 %if 0%{?rhel} > 6 || 0%{?fedora} > 18
@@ -117,6 +118,9 @@ fi
 %dir %attr(775, root, ngircd) %{_localstatedir}/run/ngircd/
 
 %changelog
+* Wed Sep 04 2013 Kevin Fenzi <kevin@scrye.com> 20.3-2
+- Fix docs to not include Makefiles. Fixes bug #1004557
+
 * Sat Aug 24 2013 Kevin Fenzi <kevin@scrye.com> 20.3-1
 - Update to 20.3. Fixes bug #1000690
 - Fix for CVE-2013-5580

Does that address your concerns?
Comment 2 Kevin Fenzi 2013-09-04 19:26:22 EDT
Oops. Ignore the doxygen in there... was from playing with the options.
Comment 3 Christopher Meng 2013-09-04 19:59:04 EDT
(In reply to Kevin Fenzi from comment #2)
> Oops. Ignore the doxygen in there... was from playing with the options.

What do you mean? Is this bug invalid?
Comment 4 Kevin Fenzi 2013-09-04 20:01:52 EDT
The part about us shipping: 

/usr/share/doc/ngircd-20.2/src
/usr/share/doc/ngircd-20.2/src/Doxyfile
/usr/share/doc/ngircd-20.2/src/Makefile
/usr/share/doc/ngircd-20.2/src/Makefile.am
/usr/share/doc/ngircd-20.2/src/Makefile.in
/usr/share/doc/ngircd-20.2/src/footer.inc.html

in the rpm is a valid bug that I can fix. 

The part about using doxygen to build docs is invalid. Upstream is the only one that generates those as far as I can see.
Comment 5 Christopher Meng 2013-09-04 20:09:18 EDT
OK.

Thanks for your quick response.
Comment 6 Kevin Fenzi 2013-09-04 21:18:50 EDT
Fixed in rawhide. 

Thanks for the report.

Note You need to log in before you can comment on or make changes to this bug.